Name:		tucnak
Version:	4.18
Release:	1%{?dist}
Summary:	VHF contest logging program
License:	GPLv2
URL:		http://tucnak.nagano.cz/
Source0:	http://tucnak.nagano.cz/%{name}-%{version}.tar.gz
BuildRequires:	gcc, make, automake
BuildRequires:	libzia = %{version}
BuildRequires:	desktop-file-utils, fftw-devel, hamlib-devel
BuildRequires:	rtl-sdr-devel, libsndfile-devel, portaudio-devel
Provides:	tucnak2 = %{version}-%{release}
Obsoletes:	tucnak2 < 2.31-21
Patch0:		tucnak-4.18-soundwrapper.patch

%description
Tucnak is VHF/UHF/SHF log for hamradio contests. It supports multi
bands, free input, networking, voice and CW keyer, WWL database and
much more.

%prep
%setup -q
%patch0 -p1 -b .soundwrapper

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

desktop-file-install %{buildroot}%{_datadir}/applications/%{name}.desktop

# rename soundwrapper to tucnak-soundwrapper
mv %{buildroot}%{_bindir}/soundwrapper %{buildroot}%{_bindir}/tucnak-soundwrapper 

# drop docs installed to wrong place
rm -f %{buildroot}%{_datadir}/tucnak/doc/*
rmdir %{buildroot}%{_datadir}/tucnak/doc

# drop unneeded files/dirs
rm -f %{buildroot}%{_prefix}/lib/tucnak/tucnak.d
rmdir %{buildroot}%{_prefix}/lib/tucnak

%files
%license COPYING
%doc AUTHORS ChangeLog TODO
%doc doc/NAVOD.pdf doc/NAVOD.sxw
%doc data/*.html data/*.png
%{_bindir}/tucnak
%{_bindir}/tucnak-soundwrapper
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_datadir}/%{name}

%changelog
* Fri Jan  3 2020 Jaroslav Škarvada <jskarvad@redhat.com> - 4.18-1
- Initial version
